{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
    <section>
        <div class="spacer">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a class="no-link c-black" href="{% url 'frontend:forum_topics' %}">Topics</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">
                        <a class="no-link c-blue"
                           href="{% url 'frontend:forum_threads' topic.slug %}">{{ topic.title }}</a>
                    </li>
                </ol>
            </nav>
            <div class="card p-4">
                <form action="{% url 'backend:thread' topic.slug %}" method="post">
                    {% csrf_token %}
                    <input class="form-control mb-3" name="title" id="title" placeholder="Title">
                    <textarea name="content"></textarea>
                    <div class="d-flex justify-content-between">
                        <div>
                            <i class="bi bi-exclamation-circle"></i>
                            <small class="text-muted">
                                Remember, prohibited from containing elements of SARA
                            </small>
                        </div>
                        <button type="submit" class="btn btn-primary mt-2">
                            Submit
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </section>
{% endblock %}
{% block js %}
    <script>
        CKEDITOR.replace('content', {
            extraPlugins: 'colorbutton,colordialog'
        });
    </script>
{% endblock %}

